diff --git a/Makefile.common b/Makefile.common
index 6b3e021..09ac9d5 100644
--- a/Makefile.common
+++ b/Makefile.common
@@ -23,22 +23,8 @@ FLAGS += -I$(CORE_DIR)/vendor/filesystem
 FLAGS += -I$(CORE_DIR)/vendor/libretro-common/include
 
 # zlib
-SOURCES_C += \
-	$(CORE_DIR)/vendor/libretro-deps/libz/zutil.c \
-	$(CORE_DIR)/vendor/libretro-deps/libz/adler32.c \
-	$(CORE_DIR)/vendor/libretro-deps/libz/crc32.c \
-	$(CORE_DIR)/vendor/libretro-deps/libz/compress.c \
-	$(CORE_DIR)/vendor/libretro-deps/libz/deflate.c \
-	$(CORE_DIR)/vendor/libretro-deps/libz/gzclose.c \
-	$(CORE_DIR)/vendor/libretro-deps/libz/gzlib.c \
-	$(CORE_DIR)/vendor/libretro-deps/libz/gzread.c \
-	$(CORE_DIR)/vendor/libretro-deps/libz/gzwrite.c \
-	$(CORE_DIR)/vendor/libretro-deps/libz/infback.c \
-	$(CORE_DIR)/vendor/libretro-deps/libz/inffast.c \
-	$(CORE_DIR)/vendor/libretro-deps/libz/inftrees.c \
-	$(CORE_DIR)/vendor/libretro-deps/libz/inflate.c \
-	$(CORE_DIR)/vendor/libretro-deps/libz/trees.c
-FLAGS += -I$(CORE_DIR)/vendor/libretro-deps/libz
+FLAGS += $(shell pkg-config --cflags zlib)
+LDFLAGS += $(shell pkg-config --libs zlib)
 FLAGS += -I$(CORE_DIR)/vendor/libretro-common/compat
 FLAGS += -DWANT_ZLIB
 
diff --git a/Makefile.libretro b/Makefile.libretro
index 83d0190..aee86c6 100644
--- a/Makefile.libretro
+++ b/Makefile.libretro
@@ -532,8 +532,8 @@ else
 		CFLAGS += -O2 -DNDEBUG
 		CXXFLAGS += -O2 -DNDEBUG
 	else
-		CFLAGS += -O2 -DNDEBUG
-		CXXFLAGS += -O2 -DNDEBUG
+		CFLAGS += -DNDEBUG
+		CXXFLAGS += -DNDEBUG
 	endif
 endif
 
@@ -546,7 +546,7 @@ CORE_DIR := .
 include Makefile.common
 
 ifeq ($(DEBUG), 0)
-   FLAGS += -O3 -ffast-math -fomit-frame-pointer
+   FLAGS += -ffast-math -fomit-frame-pointer
 else
    FLAGS += -O0 -g
 endif
diff --git a/src/love/audio.cpp b/src/love/audio.cpp
index a21c472..64d8052 100644
--- a/src/love/audio.cpp
+++ b/src/love/audio.cpp
@@ -7,7 +7,7 @@
 #include "physfs.h"
 
 using love::Types::Audio::SoundData;
-using love::Types::Audio::AudioState::Stopped;
+using love::Types::Audio::AudioState;
 
 namespace love {
 
@@ -56,7 +56,7 @@ void audio::mixer_render(int16_t *buffer) {
 	// Mix all the sounds together.
 	for (std::vector<SoundData*>::size_type i = 0; i != app->sound.sounds.size(); i++) {
 		SoundData* currentSound = app->sound.sounds[i];
-		if (currentSound == NULL || !currentSound->isLoaded() || currentSound->state == Stopped) {
+		if (currentSound == NULL || !currentSound->isLoaded() || currentSound->state == AudioState::Stopped) {
 			continue;
 		}
 
diff --git a/src/love/data.cpp b/src/love/data.cpp
index 4aff891..52af62e 100644
--- a/src/love/data.cpp
+++ b/src/love/data.cpp
@@ -5,6 +5,7 @@
 #include <string>
 #include <sstream>
 #include <iostream>
+#include <stdexcept>
 #include "compat/zlib.h"
 #include "utils/md5.h"
 #include "TinySHA1.hpp"
